Subject: Re: Error while compiling PHP on Cygwin
From: "Ñãzã®78" <[email-masked]>
To: <[email-masked]>
Date: Mon, 27 Aug 2001 15:27:46 +0800

Are you using it as apache module or standalone exe?

Here's what I did, compile as module then copy php.exe to bin if it does not
do that for you.

I've managed to build 4.0.6 as a module for Apache/1.3.20 (Cygwin) as below:

cd apache-1.3.x
./configure
# To get apache's configurations for php4

cd php-x
./configure --with-apache=../apache-1.3.x
make
make install

The next step I can't really remember that is whether php.exe has been
compiled or you have to first build the httpd daemon. Sorry but, hey, no
harm trying.

If you choose to continue building apache, there's one thing I've
encountered maybe useful to you:

cd apache-1.3.x
./configure --activate-module=src/modules/php4/libphp4.a
make

Right after configure before make, open up "src/modules/php4/Makefile", goto
line 73 and edit this "alloc.h" to this "ap_alloc.h" or you will fail
building the daemon.

Good luck.

Thank you.

Regards,
Ñãzã®78 @ [email-masked]
eBizMalay.Com @ http://www.ebizmalay.com
Bringing To You eBiz Solutions Of Tomorrow

----- Original Message -----
From: "S.L." <[email-masked]>
To: "Atur Shah" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Monday, August 27, 2001 2:03 PM
Subject: Re: Error while compiling PHP on Cygwin

> >
> > Hi,
> >
> > I am facing some errors on trying to installing PHP on fresh cygwin.
> >
> > Error while trying to buildconf PHP on cygwin..
>
> Why don't you just try to "./configure [options]" ?
>
> >
> > cygwin$ cd /usr/src/php-4.0.6
> > cygwin$ ./buildconf
> > buildconf: checking installation...
> > buildconf: autoconf version 2.13 (ok)
> > buildconf: automake not found.
> >            You need automake version 1.4 or newer installed
> >            to build PHP from CVS.
> > make: *** [buildmk.stamp] Error 1
> >
> > Error while trying to make PHP on cygwin ..
> >
> > Making all in standard
> > make[2]: Entering directory `/usr/src/php-4.0.6/ext/standard'
> > make[3]: Entering directory `/usr/src/php-4.0.6/ext/standard'
> > gcc  -I. -I/usr/src/php-4.0.6/ext/standard -I/usr/src/php-4.0.6/main
> > -I/usr/src/php-4.0.6 -I/usr/src/php-4.0.6/Zend -I/usr/src/php
> > -4.0.6/ext/mysql/libmysql -I/usr/src/php-4.0.6/ext/xml/expat/xmltok
> > -I/usr/src/php-4.0.6/ext/xml/expat/xmlparse -I/usr/src/php-4.0
> > .6/TSRM  -DSUPPORT_UTF8 -DXML_BYTE_ORDER=12 -g -O2  -c datetime.c &&
> > touch datetime.lo
> > datetime.c: In function `php_mktime':
> > datetime.c:186: wrong type argument to unary minus
> > datetime.c: In function `php_date':
> > datetime.c:436: invalid operands to binary /
> > datetime.c:436: invalid operands to binary %
> > datetime.c:444: wrong type argument to unary minus
> > datetime.c:444: wrong type argument to unary minus
> > datetime.c:497: invalid operands to binary /
> > datetime.c:498: invalid operands to binary %
>
> [186]The minus deleting solves the problem.
> [4xx]In these lines you should cast to int the result for the operations.
>
> > make[3]: *** [datetime.lo] Error 1
> > make[3]: Leaving directory `/usr/src/php-4.0.6/ext/standard'
> > make[2]: *** [all-recursive] Error 1
> > make[2]: Leaving directory `/usr/src/php-4.0.6/ext/standard'
> > make[1]: *** [all-recursive] Error 1
> > make[1]: Leaving directory `/usr/src/php-4.0.6/ext'
> > make: *** [all-recursive] Error 1
> >
> >
> > Any idea / solution of the above errors ?
> > Have anyone faced such errors and fixed ??
> >
> > Comment Please.....
> >
> > Thanks.
> >
> > Regards,
> >
> > Atur Shah
> > Vigorsoft Pvt. Ltd.,
> > India
> > __________________________________________________________________
> > Nothing is Impossible if you believe it is possible and if you believe
> > you can do it.....
> >
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>
> SLao
>
> --
> Sent through GMX FreeMail - http://www.gmx.net
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/